{ ... }: {
  programs.zsh = {
    enable = true;
    enableCompletion = true;
    shellAliases = {
      update = "sudo nixos-rebuild switch --flake /home/zuma/nix_files#t0urn3s0l";
      connect-h4ppy = "mosh --ssh=\"ssh -p 72\" globuzma@87.231.223.91";
      cat = "bat";
      ls = "eza --time-style=relative --git --octal-permissions --icons --binary -lg";
      calc = "eva";
      nix-shell = "nix-shell --run zsh";
    };
    oh-my-zsh = {
      enable = true;
      plugins = [ "git" ];
      theme = "robbyrussell";
    };
    autosuggestion.enable = true;
  };

  programs.starship = {
    enable = true;

    settings = {
      add_newline = false;
      command_timeout = 1300;
      scan_timeout = 50;
      format = "$username@$hostname:$directory$character";
      
      hostname = {
        disabled = false;
        format = "[$ssh_symbol](blue dimmed bold)[$hostname]($style)";
        ssh_only = false;
        style = "green dimmed bold";
      };

      username = {
        format = "[$user]($style)";
        show_always = true;
        style_root = "red bold bg:0x9A348E";
        style_user = "yellow bold bg:0x9A348E";
        disabled = false;
      };

      character = {
        success_symbol = "[](bold green)";
        error_symbol = "[](bold red)";
      };
    };
  };
}
